Bug 461383 - Play and Pause buttons can and often do have different text lengths, so clicking on one of them changes the width of the playback scrubber
Summary: Play and Pause buttons can and often do have different text lengths, so click...
Status: RESOLVED FIXED
Alias: None
Product: dragonplayer
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR minor (vote)
Target Milestone: ---
Assignee: Unassigned bugs mailing-list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-11-03 21:54 UTC by Nate Graham
Modified: 2022-11-25 05:12 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 23.04


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2022-11-03 21:54:02 UTC
This looks weird and users generally don't like UI elements dynamically moving and resizing themselves.
Comment 1 Bug Janitor Service 2022-11-17 19:34:30 UTC
A possibly relevant merge request was started @ https://invent.kde.org/multimedia/dragon/-/merge_requests/10
Comment 2 Harald Sitter 2022-11-19 11:12:15 UTC
Git commit e80da11c61e2863b89c0d33031752e09c4608850 by Harald Sitter.
Committed on 19/11/2022 at 11:12.
Pushed by sitter into branch 'master'.

use icon only toolbar

the iconography should be clear enough anyway. this not only stops the
position slider jumping around on pause/unpause but also gives a neater
look by default

M  +2    -2    misc/dragonplayerrc

https://invent.kde.org/multimedia/dragon/commit/e80da11c61e2863b89c0d33031752e09c4608850